Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1338)

Issue 6035053: beam.cc:pure-rest-collision-callback Place on staff lines; issue 2468 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 2 months ago by Keith
Modified:
7 years, 1 month ago
Reviewers:
Graham Percival, dak, mike7
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

beam.cc:pure-rest-collision-callback Place on staff lines; issue 2468

Patch Set 1 #

Patch Set 2 : round to outer staff line #

Patch Set 3 : do not return previous_offsett #

Patch Set 4 : rebase #

Total comments: 3

Patch Set 5 : fewer early returns of 0.0 #

Total comments: 3

Patch Set 6 : take care in checking beam direction #

Patch Set 7 : reorder input args #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -21 lines) Patch
M input/regression/dot-column-rest-collision.ly View 1 2 3 4 5 1 chunk +5 lines, -3 lines 0 comments Download
M lily/beam.cc View 1 2 3 4 5 6 3 chunks +25 lines, -18 lines 0 comments Download

Messages

Total messages: 10
Graham Percival
wow, looks very nice and simple. I vote for pushing immediately, but please wait for ...
7 years, 2 months ago (2012-04-15 15:20:13 UTC) #1
dak
On 2012/04/15 15:20:13, Graham Percival wrote: > wow, looks very nice and simple. I vote ...
7 years, 2 months ago (2012-04-15 15:32:10 UTC) #2
Keith
On 2012/04/15 15:32:10, dak wrote: > > if max/min trigger, rint is applied to some ...
7 years, 2 months ago (2012-04-15 16:45:54 UTC) #3
Keith
On 2012/04/15 16:45:54, Keith wrote: > > An improvement would be to round-to-larger Done, along ...
7 years, 2 months ago (2012-04-15 20:06:55 UTC) #4
dak
On 2012/04/15 20:06:55, Keith wrote: > On 2012/04/15 16:45:54, Keith wrote: > > > > ...
7 years, 2 months ago (2012-04-21 16:10:09 UTC) #5
Keith
On 2012/04/21 16:10:09, dak wrote: > The "cleanup" would seem to break layout totally. > ...
7 years, 2 months ago (2012-04-21 18:22:05 UTC) #6
Keith
The function being patched is the pure-alternative to a chained-offset-callback to the original Y-position callback ...
7 years, 1 month ago (2012-04-25 06:21:29 UTC) #7
mike7
http://codereview.appspot.com/6035053/diff/16001/lily/beam.cc File lily/beam.cc (right): http://codereview.appspot.com/6035053/diff/16001/lily/beam.cc#newcode1328 lily/beam.cc:1328: return scm_from_double (0.0); On 2012/04/25 06:21:29, Keith wrote: > ...
7 years, 1 month ago (2012-04-25 06:29:02 UTC) #8
Keith
On Tue, 24 Apr 2012 23:29:02 -0700, <mike@mikesolomon.org> wrote: > http://codereview.appspot.com/6035053/diff/16001/lily/beam.cc > File lily/beam.cc (right): ...
7 years, 1 month ago (2012-04-25 07:31:53 UTC) #9
Keith
7 years, 1 month ago (2012-04-27 06:17:59 UTC) #10
On 2012/04/25 07:31:53, Keith wrote:
> > lily/beam.cc:1326: || beam->get_property_data ("direction") ==
> > ly_symbol2scm ("calculation-in-progress"))
> I'll move this test down there to protect the get_grob_direction() 
> next time I have Linux up.

I dropped the plan above because now I see how to get the correct prev_offsets.

Patch set 7 is the same as patch set 2, except the input args are connected
correctly.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b